Package ru.bitel.bgbilling.modules.bill.common.bean

# Class DocumentPosition

java.lang.Object
ru.bitel.bgbilling.modules.bill.common.bean.DocumentPosition

All Implemented Interfaces:
  `ContractIdable`

public class DocumentPosition extends Object implements ContractIdable

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DocumentPosition()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `BigDecimal`
  `getAmount()`
  `BigDecimal`
  `getAmountScaled()`
  `BigDecimal`
  `getAmountUnscaled()`
  `int`
  `getContractId()`
  Возвращает id договора
  `BigDecimal`
  `getCount()`
  `int`
  `getCountNumsAfterComma()`
  `int`
  `getCountNumsRoundingMode()`
  `List<DocumentPosition>`
  `getExtractPositions()`
  `String`
  `getName()`
  `Map<String,String>`
  `getParams()`
  `int`
  `getPositionId()`
  `DocumentPositionSpec`
  `getPositionSpec()`
  `String`
  `getUnit()`
  `String`
  `getUnitCode()`
  `boolean`
  `isAwlz()`
  `boolean`
  `isInTotal()`
  `void`
  `setAmount(BigDecimal amount)`
  `void`
  `setAmountScaled(BigDecimal amountScaled)`
  `void`
  `setAmountUnscaled(BigDecimal amountUnscaled)`
  `void`
  `setAwlz(boolean awlz)`
  `void`
  `setContractId(int contractId)`
  `void`
  `setCount(BigDecimal count)`
  `void`
  `setCountNumsAfterComma(int countNumsAfterComma)`
  `void`
  `setCountNumsRoundingMode(int countNumsRoundingMode)`
  `void`
  `setExtractPositions(List<DocumentPosition> extractPositions)`
  `void`
  `setInTotal(boolean inSumm)`
  `void`
  `setName(String name)`
  `void`
  `setParams(Map<String,String> params)`
  `void`
  `setPositionId(int positionId)`
  `void`
  `setPositionSpec(DocumentPositionSpec positionSpec)`
  `void`
  `setUnit(String unit)`
  `void`
  `setUnitCode(String unitCode)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DocumentPosition

    public DocumentPosition()

- ## Method Details

  - ### getPositionId

    public int getPositionId()

  - ### setPositionId

    public void setPositionId(int positionId)

  - ### getContractId

    public int getContractId()
    Description copied from interface: `ContractIdable`
    Возвращает id договора
    Specified by:
      `getContractId` in interface `ContractIdable`
    Returns:

  - ### setContractId

    public void setContractId(int contractId)

  - ### getName

    public String getName()

  - ### setName

    public void setName(String name)

  - ### getAmount

    public BigDecimal getAmount()

  - ### setAmount

    public void setAmount(BigDecimal amount)

  - ### getAmountUnscaled

    public BigDecimal getAmountUnscaled()

  - ### setAmountUnscaled

    public void setAmountUnscaled(BigDecimal amountUnscaled)

  - ### getAmountScaled

    public BigDecimal getAmountScaled()

  - ### setAmountScaled

    public void setAmountScaled(BigDecimal amountScaled)

  - ### getCount

    public BigDecimal getCount()

  - ### setCount

    public void setCount(BigDecimal count)

  - ### getCountNumsAfterComma

    public int getCountNumsAfterComma()

  - ### setCountNumsAfterComma

    public void setCountNumsAfterComma(int countNumsAfterComma)

  - ### getCountNumsRoundingMode

    public int getCountNumsRoundingMode()

  - ### setCountNumsRoundingMode

    public void setCountNumsRoundingMode(int countNumsRoundingMode)

  - ### getUnit

    public String getUnit()

  - ### setUnit

    public void setUnit(String unit)

  - ### getUnitCode

    public String getUnitCode()

  - ### setUnitCode

    public void setUnitCode(String unitCode)

  - ### getExtractPositions

    public List<DocumentPosition> getExtractPositions()

  - ### setExtractPositions

    public void setExtractPositions(List<DocumentPosition> extractPositions)

  - ### getPositionSpec

    public DocumentPositionSpec getPositionSpec()

  - ### setPositionSpec

    public void setPositionSpec(DocumentPositionSpec positionSpec)

  - ### isInTotal

    public boolean isInTotal()

  - ### setInTotal

    public void setInTotal(boolean inSumm)

  - ### isAwlz

    public boolean isAwlz()

  - ### setAwlz

    public void setAwlz(boolean awlz)

  - ### getParams

    public Map<String,String> getParams()

  - ### setParams

    public void setParams(Map<String,String> params)